package ch.psi.daq.queryrest.response.csv;

import java.util.function.Function;

import ch.psi.daq.domain.DataEvent;

public class EventFieldStringifyer extends QueryFieldStringifyer implements Function<DataEvent, String> {

   public EventFieldStringifyer(Function<Object, Object> accessor, String nonValue, String arraySeparator) {
      super(accessor, nonValue, arraySeparator);
   }

   @Override
   public String apply(DataEvent event) {
      if (event == null) {
         return getNonValue();
      }

      return toString(getAccessor().apply(event));
   }
}
