package ch.psi.daq.queryrest.response.csv;

import java.util.function.Function;

import ch.psi.daq.domain.events.ChannelConfiguration;

public class ConfigFieldStringifyer extends QueryFieldStringifyer implements Function<ChannelConfiguration, String> {

   public ConfigFieldStringifyer(Function<Object, Object> accessor, String nonValue, String arraySeparator) {
      super(accessor, nonValue, arraySeparator);
   }

   @Override
   public String apply(ChannelConfiguration config) {
      if (config == null) {
         return getNonValue();
      }

      return toString(getAccessor().apply(config));
   }
}
